//**********************************************************************************************************************
//
//  FMEngineWipeLinearTransition.vs
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2008-2011 by IMAGINE GbR. All rights reserved.
//	Abstract:	Implements a linear wipe transition
//
//**********************************************************************************************************************


uniform mat2 uRotationMatrix;
varying float vLocation;


//----------------------------------------------------------------------------------------------------------------------


void main()
{
	vec2 vertex = uRotationMatrix * gl_Vertex.xy;
    
    vLocation = vertex.y;
    gl_Position = ftransform();
    gl_TexCoord[0] = gl_MultiTexCoord0;
}


//----------------------------------------------------------------------------------------------------------------------
